Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113195 - golang-github-deislabs-oras: FTBFS in Fedora rawhide/f37
Summary: golang-github-deislabs-oras: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-deislabs-oras
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:24 UTC by Fedora Release Engineering
Modified: 2023-02-21 23:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-21 23:03:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:24 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:24 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:24 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:24:34 UTC
golang-github-deislabs-oras failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89768940


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix golang-github-deislabs-oras at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-deislabs-oras will be orphaned. Before branching of Fedora 38,
golang-github-deislabs-oras will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:24:36 UTC
Created attachment 1901021 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-01 23:24:37 UTC
Created attachment 1901022 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:24:38 UTC
Created attachment 1901023 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:24:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Anthony Rabbito 2022-08-22 20:59:14 UTC
This package appears to have a new home https://github.com/oras-project/oras

Comment 6 Fedora Admin user for bugzilla script actions 2023-01-09 12:04:41 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Davide Cavalca 2023-02-21 23:03:25 UTC
I've retired this in rawhide now that golang-oras is packaged.


Note You need to log in before you can comment on or make changes to this bug.